DSHBAK(1)

NAME
dshbak - format output from pdsh command

SYNOPSIS
dshbak [OPTION]..

DESCRIPTION
The dshbak program formats pdsh pdsh output for humans. Output from each node is consolidated, the leading "node:" is stripped, and a header block with the node name is added. If the -c option is specified, nodes with identical output are not displayed twice; instead, the header will contain a list of nodes. The list of nodes is further compressed into node ranges if the node names have a numeric suffix.

OPTIONS

-h  Display a summary of command line options.

-c  Do not display identical output from nodes twice. Instead, print the list of nodes with matching output in the header block.

-d DIR
    Write consolidated node output to separate files in output directory DIR. Any existing files will be overwritten.

-f  With -d, force creation of specified DIR.

ORIGIN
A rewrite of IBM dshbak(1) by Jim Garlick
<garlick@llnl.gov> on LLNL's ASCI Blue-Pacific IBM SP system.

SEE ALSO
pdsh(1)